package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [UserRole] 对象
 */
public interface IUserRole {

    /**
     * 获取 [备注]
     */
    public void setMemo(String memo);
    
    /**
     * 设置 [备注]
     */
    public String getMemo();

    /**
     * 获取 [备注]脏标记
     */
    public boolean getMemoDirtyFlag();
    /**
     * 获取 [用户角色标识]
     */
    public void setUserRoleId(String userRoleId);
    
    /**
     * 设置 [用户角色标识]
     */
    public String getUserRoleId();

    /**
     * 获取 [用户角色标识]脏标记
     */
    public boolean getUserRoleIdDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [数据来源]
     */
    public void setDataSourceType(String dataSourceType);
    
    /**
     * 设置 [数据来源]
     */
    public String getDataSourceType();

    /**
     * 获取 [数据来源]脏标记
     */
    public boolean getDataSourceTypeDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [用户角色名称]
     */
    public void setUserRoleName(String userRoleName);
    
    /**
     * 设置 [用户角色名称]
     */
    public String getUserRoleName();

    /**
     * 获取 [用户角色名称]脏标记
     */
    public boolean getUserRoleNameDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [用户角色类型]
     */
    public void setUserRoleType(String userRoleType);
    
    /**
     * 设置 [用户角色类型]
     */
    public String getUserRoleType();

    /**
     * 获取 [用户角色类型]脏标记
     */
    public boolean getUserRoleTypeDirtyFlag();
    /**
     * 获取 [系统名称]
     */
    public void setSystemName(String systemName);
    
    /**
     * 设置 [系统名称]
     */
    public String getSystemName();

    /**
     * 获取 [系统名称]脏标记
     */
    public boolean getSystemNameDirtyFlag();
    /**
     * 获取 [业务系统标识]
     */
    public void setSystemId(String systemId);
    
    /**
     * 设置 [业务系统标识]
     */
    public String getSystemId();

    /**
     * 获取 [业务系统标识]脏标记
     */
    public boolean getSystemIdDirtyFlag();
}
